com.amazonaws.services.simpleworkflow.model

## Enum StartChildWorkflowExecutionFailedCause

- java.lang.Object
- - java.lang.Enum<StartChildWorkflowExecutionFailedCause>
  - - com.amazonaws.services.simpleworkflow.model.StartChildWorkflowExecutionFailedCause

All Implemented Interfaces:
  Serializable, Comparable<StartChildWorkflowExecutionFailedCause>

    public enum StartChildWorkflowExecutionFailedCause
    extends Enum<StartChildWorkflowExecutionFailedCause>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CHILD_CREATION_RATE_EXCEEDED`
`DEFAULT_CHILD_POLICY_UNDEFINED`
`DEFAULT_EXECUTION_START_TO_CLOSE_TIMEOUT_UNDEFINED`
`DEFAULT_TASK_LIST_UNDEFINED`
`DEFAULT_TASK_START_TO_CLOSE_TIMEOUT_UNDEFINED`
`OPEN_CHILDREN_LIMIT_EXCEEDED`
`OPEN_WORKFLOWS_LIMIT_EXCEEDED`
`OPERATION_NOT_PERMITTED`
`WORKFLOW_ALREADY_RUNNING`
`WORKFLOW_TYPE_DEPRECATED`
`WORKFLOW_TYPE_DOES_NOT_EXIST`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static StartChildWorkflowExecutionFailedCause` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static StartChildWorkflowExecutionFailedCause` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StartChildWorkflowExecutionFailedCause[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### WORKFLOW_TYPE_DOES_NOT_EXIST

    public static final StartChildWorkflowExecutionFailedCause WORKFLOW_TYPE_DOES_NOT_EXIST

#### WORKFLOW_TYPE_DEPRECATED

    public static final StartChildWorkflowExecutionFailedCause WORKFLOW_TYPE_DEPRECATED

#### OPEN_CHILDREN_LIMIT_EXCEEDED

    public static final StartChildWorkflowExecutionFailedCause OPEN_CHILDREN_LIMIT_EXCEEDED

#### OPEN_WORKFLOWS_LIMIT_EXCEEDED

    public static final StartChildWorkflowExecutionFailedCause OPEN_WORKFLOWS_LIMIT_EXCEEDED

#### CHILD_CREATION_RATE_EXCEEDED

    public static final StartChildWorkflowExecutionFailedCause CHILD_CREATION_RATE_EXCEEDED

#### WORKFLOW_ALREADY_RUNNING

    public static final StartChildWorkflowExecutionFailedCause WORKFLOW_ALREADY_RUNNING

#### DEFAULT_EXECUTION_START_TO_CLOSE_TIMEOUT_UNDEFINED

    public static final StartChildWorkflowExecutionFailedCause DEFAULT_EXECUTION_START_TO_CLOSE_TIMEOUT_UNDEFINED

#### DEFAULT_TASK_LIST_UNDEFINED

    public static final StartChildWorkflowExecutionFailedCause DEFAULT_TASK_LIST_UNDEFINED

#### DEFAULT_TASK_START_TO_CLOSE_TIMEOUT_UNDEFINED

    public static final StartChildWorkflowExecutionFailedCause DEFAULT_TASK_START_TO_CLOSE_TIMEOUT_UNDEFINED

#### DEFAULT_CHILD_POLICY_UNDEFINED

    public static final StartChildWorkflowExecutionFailedCause DEFAULT_CHILD_POLICY_UNDEFINED

#### OPERATION_NOT_PERMITTED

    public static final StartChildWorkflowExecutionFailedCause OPERATION_NOT_PERMITTED

### Method Detail

#### values

    public static StartChildWorkflowExecutionFailedCause[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StartChildWorkflowExecutionFailedCause c : StartChildWorkflowExecutionFailedCause.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StartChildWorkflowExecutionFailedCause valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<StartChildWorkflowExecutionFailedCause>`

#### fromValue

    public static StartChildWorkflowExecutionFailedCause fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  StartChildWorkflowExecutionFailedCause corresponding to the value